> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Battery

> Returns the state of a vehicle's battery.



## OpenAPI

````yaml get /{vin}/battery
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/battery:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Vehicle Data
      summary: Get Battery
      description: Returns the state of a vehicle's battery.
      operationId: get-battery
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    timestamp: 1710785350
                    battery_level: 89
                    battery_range: 273.47
                    ideal_battery_range: 273.47
                    phantom_drain_percent: 1
                    energy_remaining: 85.5
                    lifetime_energy_used: 3266.888
                    pack_current: -0.6
                    pack_voltage: 451.61
                    module_temp_min: 20.5
                    module_temp_max: 21
                properties:
                  timestamp:
                    type: integer
                  battery_level:
                    type: number
                  battery_range:
                    type: number
                  ideal_battery_range:
                    type: number
                  phantom_drain_percent:
                    type: number
                  energy_remaining:
                    type: number
                  lifetime_energy_used:
                    type: number
                  pack_current:
                    type: number
                  pack_voltage:
                    type: number
                  module_temp_min:
                    type: number
                  module_temp_max:
                    type: integer
              examples:
                Example 1:
                  value:
                    timestamp: 1710785350
                    battery_level: 89.828
                    battery_range: 273.47
                    ideal_battery_range: 273.47
                    phantom_drain_percent: 1
                    energy_remaining: 85.5
                    lifetime_energy_used: 3266.888
                    pack_current: -0.6
                    pack_voltage: 451.61
                    module_temp_min: 20.5
                    module_temp_max: 21
          description: Success
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````